Hi, I'm Ask INFA!
What would you like to know?
ASK INFAPreview
Please to access Ask INFA.

Table of Contents

Search

  1. Preface
  2. What's New in Informatica Intelligent Cloud Services
  3. API Center
  4. Administrator
  5. Application Integration
  6. Business 360 Console
  7. Cloud Data Integration for PowerCenter (CDI-PC)
  8. Data Access Management
  9. Data Governance and Catalog
  10. Data Ingestion and Replication
  11. Data Integration
  12. Data Integration Connectors
  13. Data Quality
  14. Data Validation
  15. MDM - Customer 360 SaaS
  16. MDM - Product 360 SaaS
  17. MDM - Reference 360
  18. MDM - Supplier 360 SaaS
  19. Multidomain MDM SaaS
  20. Monitor

What's New

What's New

Get the artifact ID of the process

Get the artifact ID of the process

To modify permissions and create a user to access the
MDMProcessMasterData
process, you require the artifact ID of the process to uniquely identify it.
To get the artifact ID of the process, use the LookupArtifactsDetailsByPath API and submit a POST request with the following URI:
POST <baseApiURL>/frs/api/v1/LookupArtifactsDetailsByPath

Sample Request

Use the following POST request to get the artifact ID of the
MDMProcessMasterData
process:
POST https://use4.dm-us.informaticacloud.com/frs/api/v1/LookupArtifactsDetailsByPath IDS-SESSION-ID: XXXXXXXXXXXXXXXXXXXXXX Content-Type: application/json { "lookupParamPath": [ { "name": "MDMProcessMasterData", "type": "PROCESS", "location": [ { "type": "Space", "name": "REG" }, { "name": "Business360", "type": "Project" } ] } ] }

Sample Response

The sample response shows the HTTP 200 OK response code and gets the artifact ID of the
MDMProcessMasterData
process. The response shows the artifact ID as
9TvdYgWHVOrhUHnMLMCc0z
in the
artifact
section.
{ "@odata.context": "$metadata#BaseEntities", "value": [ { "orgId": "4MEN7vwklj8biicae7QiKX", "status": { "code": "FRS_200", "message": "" }, "tags": [], "artifact": { "@odata.type": "#OData.frs.Document", "id": "9TvdYgWHVOrhUHnMLMCc0z", "name": "MDMProcessMasterData", "description": "", "owner": "2UQOrM7xtu1euGYkYlBeOr", "createdBy": "2UQOrM7xtu1euGYkYlBeOr", "lastUpdatedBy": "2UQOrM7xtu1euGYkYlBeOr", "lastAccessedBy": "2UQOrM7xtu1euGYkYlBeOr", "createdTime": "2024-07-25T04:01:13Z", "lastUpdatedTime": "2024-08-01T11:29:30Z", "lastAccessedTime": "2024-08-01T11:29:30Z", "expiresBy": "2038-01-18T00:00:00Z", "parentInfo": [ { "parentId": "7cCn5thwWFLhiZoSosphKL", "parentName": "REG", "parentType": "Space" }, { "parentId": "0XuRGcy4SdyehONacV75yq", "parentName": "Business360", "parentType": "Project" } ], "documentType": "PROCESS", "contentType": "application/json; charset=utf-8", "documentState": "VALID", "aclRule": "org", "subcontainerCount": 0, "customAttributes": { "stringAttrs": [ { "name": "publishedBy", "value": "Delta_Apr4Adm" }, { "name": "SubType", "value": "" }, { "name": "binding", "value": "rest" }, { "name": "ReferencedPublishingAllowed", "value": "true" }, { "name": "APIName", "value": "MDMProcessMasterData" }, { "name": "publicationStatus", "value": "published" } ], "numberAttrs": [], "dateAttrs": [ { "name": "publicationDate", "value": "2024-08-01T11:29:39Z" } ] }, "repoInfo": { "repoParams": [], "repoPath": null, "repoHandle": "tf2VR4109cjIw8j-gt-3576941-2024-07-25T04:01:13.177Z::pd.xml", "frsPath": null }, "isSourceControlled": false, "checkedOutById": null }, "docRef": null } ] }

0 COMMENTS

We’d like to hear from you!